body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    background: #f3f3f3;
}
.checkbox-btn{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 100px;
    height: 40px;
    /* background: #ccc; */
}
.checkbox-btn input{
    position: relative;
    width: 100%;
    height: 100%;
    display: block;
    cursor: pointer;
    opacity: 0;
    z-index: 1;
}
.checkbox-btn div{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 4px solid #000;
    border-radius: 4px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
    overflow: hidden;
}
.checkbox-btn div .slide{
    position: absolute;
    top: 0;
    left: 0;
    width: 40px;
    height: 40px;
    background: #000;
    transition: .5s;
}
.checkbox-btn input:checked + div .slide{
    transform: translateX(60px);
}
.checkbox-btn  .slide:before{
    content: 'ON';
    position: absolute;
    top:0;
    left: -60px;
    text-align: center;
    width: 60px;
    height: 100%;
    line-height: 40px;
    background: #00da00;
    font-weight: bold;
    color: #fff;
}
.checkbox-btn  .slide:after{
    content: 'OFF';
    position: absolute;
    top:0;
    right: -60px;
    text-align: center;
    width: 60px;
    height: 100%;
    line-height: 40px;
    background: #ff002d;
    font-weight: bold;
    color: #fff;
}